﻿import cmdlib
import es

addon = es.import_addon("soccer_mod_2010/cfg")

# ******************** Load ********************
def load():
	es.set("sm_cap_command_pick", "!pick")

	cmdlib.registerServerCommand("soccer_mod_cap_command_pick", command_pick, "Server Command")

	es.server.cmd("exec soccer_mod/modules/cap.cfg")

	addon.reg("sm_cap_command_pick", "soccer_mod_2010/cap/pick/cmd_pick")

# ******************** Commands ********************
def command_pick(args):
	es.set("sm_cap_command_pick", args[0])

# ******************** Events ********************
def es_map_start(event_var):
	addon.unreg("sm_cap_command_pick")

	es.server.cmd("exec soccer_mod/modules/cap.cfg")

	addon.reg("sm_cap_command_pick", "soccer_mod_2010/cap/pick/cmd_pick")

# ******************** Unload ********************
def unload():
	cmdlib.unregisterServerCommand("soccer_mod_cap_command_pick")

	addon.unreg("sm_cap_command_pick")